#!/bin/sh
script_path="/nfabos/bin/Hifn4350"

if [ ! -x ${script_path}/4350_ipsec_config.sh ]
then
    echo "Missing the script 4350_ipsec_config.sh file for the test, exit."
    exit 1
fi

echo "Start the 4350 IPsec traffic test..."
Dummy=`${script_path}/4350_ipsec_config.sh | tee ipsec_config_res`
fail_res=`/nfabos/bin/nfdiag skipdownload bcm -o portloopbacktest -m 2 | tee ipsec_test_res | grep "BCM test FAILED"`

final=0
if [ -z "$fail_res" ]
then
    let final=$final+1
	echo "       "
    echo " "
    echo "4350 IPsec TEST PASSED"
	echo "----------------------"
else
    echo "       "
    echo " "
	echo "Dump 4350_ipsec_config.sh result..."
	cat ipsec_config_res
    echo " "
    echo "Dump /nfabos/bin/nfdiag skipdownload bcm -o portloopbacktest -m 2 result..."
    cat ipsec_test_res
    echo " "
    echo "4350 IPsec TEST FAILED"
    echo "----------------------"
fi

rm ipsec_config_res ipsec_test_res
echo " "

#Re-download 4350 1.0.x ucode like before
${script_path}/hifn_4350_dl.sh
if [ $final -eq 1 ]
then
    exit 0
else
    exit 1
fi

