#!/bin/sh
script_path="/nfabos/bin/Hifn4350"

if [ ! -x ${script_path}/dt.ppc ]
then
	echo "Missing the executable dt.ppc file for the test, exit."
	exit 1
fi

if [ ! -x ${script_path}/sdram_test.sh ]
then
    echo "Missing the executable sdram_test.sh file for the test, exit."
    exit 1
fi

if [ ! -r ${script_path}/fw_ap_sdwa_1_1_1_1.cdl ]
then
    echo "Missing the fw_ap_sdwa_1_1_1_1.cdl file for the test, exit."
    exit 1
fi

if [ ! -r ${script_path}/esc_post_1_1_1_1.cdl ]
then
    echo "Missing the esc_post_1_1_1_1.cdl file for the test, exit."
    exit 1
fi

if [ ! -r ${script_path}/esc_post_1_1_1_1.sym ]
then
    echo "Missing the esc_post_1_1_1_1.sym file for the test, exit."
    exit 1
fi

if [ ! -r ${script_path}/DPU_43x0_sdram_1_1_1_4.cdl ]
then
    echo "Missing the DPU_43x0_sdram_1_1_1_4.cdl file for the test, exit."
    exit 1
fi

if [ ! -r ${script_path}/DPU_43x0_sdram_1_1_1_4.sym ]
then
    echo "Missing the DPU_43x0_sdram_1_1_1_4.sym file for the test, exit."
    exit 1
fi

echo "Start the 4350 POST..."
DPU_res=`${script_path}/sdram_test.sh | tee post_res | grep "Mem=64 MB"`
eSC_res=`cat post_res | grep "Mem=32 MB"`
rm post_res
final=0
if [ -z "$DPU_res" ]
then
	echo "DPU POST test return without results, something wrong!"
else
	res0=`echo $DPU_res | cut -d" " -f2 | cut -d= -f2`
    res1=`echo $DPU_res | cut -d" " -f3 | cut -d= -f2`
    res2=`echo $DPU_res | cut -d" " -f4 | cut -d= -f2`
    res3=`echo $DPU_res | cut -d" " -f5 | cut -d= -f2`
	if [ $res0 = "1.1" -a $res1 -eq 0 -a $res2 -eq 0 -a $res3 -eq 0 ]
	then
		echo "       "
		echo "DPU POST test passed"
		let final=$final+1
	fi
fi
if [ -z "$eSC_res" ]
then
    echo "eSC POST test return without results, something wrong!"
else
    res0=`echo $eSC_res | cut -d" " -f2 | cut -d= -f2`
    res1=`echo $eSC_res | cut -d" " -f3 | cut -d= -f2`
    res2=`echo $eSC_res | cut -d" " -f4 | cut -d= -f2`
    res3=`echo $eSC_res | cut -d" " -f5 | cut -d= -f2`
    if [ $res0 = "1.1" -a $res1 -eq 0 -a $res2 -eq 0 -a $res3 -eq 0 ]
    then
		echo "eSC POST test passed"
       	let final=$final+1 
    fi
fi

if [ $final -eq 2 ]
then
	echo "TEST PASSED"
else
	echo "TEST FAILED"
fi
echo " "

#Re-download 4350 1.0.x ucode like before
${script_path}/hifn_4350_dl.sh
if [ $final -eq 2 ]
then
	exit 0 
else
    exit 1
fi
 
