# Run extended SDRAM test
# expects tcsh as shell to use
# Assumes eth2 is hooked to MII port

# Set DT location and MII Linux Ethernet interface
#set DT = "./dt --i eth2 --pda ap --apdmawa on"
#set DPU_DT = "./dt --i eth2 --apdmawa on"
script_path="/nfabos/bin/Hifn4350"
export DT="${script_path}/dt.ppc --i eth3 --pda ap --apdmawa on"
export DPU_DT="${script_path}/dt.ppc --i eth3 --apdmawa on"
# Only set AP133 for 8300/4300 boards not 8350/4350
# set AP133  = "--ap133wa on"
export AP133=""

#export SDK="/home/hifn4350/1.1.1_081805_brocade"

# Reset DPU/eSC via MII 
echo write 0x80000E1C 0x00 0x00 0x01 0x00 | ${DT} ${AP133}

sleep 4

# SDRAM workaround over MII
${DT} --pda ap  --verify full --cdl ${script_path}/fw_ap_sdwa_1_1_1_1.cdl

# Load eSC POST firmware
${DT} --pda ap --run off --verify full --cdl ${script_path}/esc_post_1_1_1_1.cdl

echo write test_run_long_sdram_test 0 0 0 1 | ${DT} --syma ${script_path}/esc_post_1_1_1_1.sym

echo run _start | ${DT} --syma ${script_path}/esc_post_1_1_1_1.sym

echo "Waiting for eSC SDRAM test to complete"
# sleep 20 seconds
i=0
while [ $i -ne 20 ]
do 
	echo -n "." 
	sleep 1 
#	i = $((i + 1)) 
	let "i=i+1"
done
echo ""



${DPU_DT} --run off --verify full --cdl ${script_path}/DPU_43x0_sdram_1_1_1_4.cdl  

echo write test_run_long_sdram_test 0 0 0 1 | ${DPU_DT} --sym ${script_path}/DPU_43x0_sdram_1_1_1_4.sym

echo run _start | ${DPU_DT} --sym ${script_path}/DPU_43x0_sdram_1_1_1_4.sym

echo "Waiting for DPU SDRAM test to complete"
# sleep 20 seconds
i=0
while [ $i -ne 20 ]
do
    echo -n "."
    sleep 1
    let "i=i+1"
done
echo ""

echo "DPU POST Results - All 0 means success"
echo status | ${DPU_DT} | grep TstNum
echo ""
echo "eSC POST Results - All 0 means success"
echo status | ${DT} | grep TstNum


# Verify that the long sdram test was run via bit 16 - NOT REQUIRED
# bit patterns are defined in UG-0039-00 - The HIPP3 Users Guide
#
# bit 19 == 1 of the returned data word indicates the long sdram was executed
# echo read test_run_mask 4 | ${DT} --syma ${SDK}/firmware/esc_post_1_1_1_1.sym
# echo read test_visited 4 | ${DT} --syma ${SDK}/firmware/esc_post_1_1_1_1.sym
# bit 19 == 1 of the returned data word indicates the long sdram was executed
# echo read test_run_mask 4 | ${DPU_DT} --sym ${SDK}/firmware/DPU_43x0_sdram_1_1_1_4.sym
# echo read test_visited 4  | ${DPU_DT} --sym ${SDK}/firmware/DPU_43x0_sdram_1_1_1_4.sym

