#!/bin/sh

#
# modutil <load | unload> <module name>
#
# Load a kernel module
#
INSMOD_SUCESS=0
modutil()
{

    case $1 in

    load)
	insmod $2 $3 $4 $5 2>&1
	RETURN_VALUE=$?
	if [ $RETURN_VALUE -ne $INSMOD_SUCESS ]; then
	  echo "Error " $RETURN_VALUE " returned by insmod while loading " $2
	fi
	;;

    *)
	;;
    esac
}

#
#
# this function will load the "panic dump" related modules
# These modules need to be loaded first and we have to call
# "pdcheck.sh" to check for a panic dump from a previous reboot
# if found we will save them in CF (it is all done in pdcheck.sh)
#
pd_setup() {
	modutil load raslog-module
	#
	# pass in the platform information
	#	
	modutil load trace-module platform=${SWBD##SWBD}
	modutil	load basic-module
}

# load basic-module before any other modules are loaded
# (pd modules)
pd_setup
# check for panic dump and save if exists
/fabos/bin/pdcheck.sh
# Upload any PD_MISC parameters in kernel that can be obtained
# before the full fledged fabos
/fabos/bin/pdul_misc_pre.sh

# Let us log errors that are saved earlier and log them
/fabos/bin/pdcheck_errs.sh
# Upload any PD_MISC parameters in kernel that can be obtained
# _AFTER_ the fabos is loaded full and running
/fabos/bin/pdul_misc_post.sh &

##################################
# non-fabos diag startup script
##################################
# insmod non-fabos diag modules
/nfabos/bin/dscript.sh $1

# run burnin 
/nfabos/bin/diagburnin.sh $1
